Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158414 - psacct does not have Large File Support
Summary: psacct does not have Large File Support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: psacct
Version: 3.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact:
URL:
Whiteboard:
Depends On: 165006
Blocks: 168426
TreeView+ depends on / blocked
 
Reported: 2005-05-22 03:42 UTC by Stephen John Smoogen
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version: RHBA-2006-0053
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-03-15 15:36:44 UTC


Attachments (Terms of Use)
Shell script to reproduce the issue (fail.sh.txt) (deleted)
2005-06-27 12:38 UTC, Bastien Nocera
no flags Details
strace output of the failing "host" command (deleted)
2005-06-27 12:39 UTC, Bastien Nocera
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0053 qe-ready SHIPPED_LIVE psacct bug fix update 2006-03-14 05:00:00 UTC

Description Stephen John Smoogen 2005-05-22 03:42:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
Began having problems with various commands (host, nslookup, etc) giving errors about file limit met. Checked the user ulimits but they were all listed as unlimited..

Server one:
[root@grok1 root]# host foo
foo.example.com has address 10.0.0.1

Server two:
[root@grok0 root]# host foo
foo.example.com has address 10.0.0.1
File size limit exceeded

Following a hint from another sysadmin to look for any files over 2 gigs. Found the psacct account was the culprit. Turning this off caused the errors to disappear.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. create a heavily used server with psacct turned on
2. wait until file gets over 2 gigs in size
3. watch programs error out or hostname not work.
  

Actual Results:  root@grok0 root]# host foo
foo.example.com has address 10.0.0.1
File size limit exceeded


Expected Results:  root@grok1 root]# host foo
foo.example.com has address 10.0.0.1


Additional info:

The machines with this problem seem to have problems getting their hostname during bootup if it is set via DNS.

Comment 1 Bastien Nocera 2005-06-27 12:38:36 UTC
Created attachment 116009 [details]
Shell script to reproduce the issue (fail.sh.txt)

Comment 2 Bastien Nocera 2005-06-27 12:39:13 UTC
Created attachment 116010 [details]
strace output of the failing "host" command

Comment 3 Bastien Nocera 2005-06-27 12:39:53 UTC
Output of the script while reproducing the problem:

# sh -x fail.sh
+ ACCFILE=/var/account/pacct
+ ldd -r /usr/bin/host
       libdns.so.16 => /usr/lib64/libdns.so.16 (0x0000002a9567c000)
       libisc.so.7 => /usr/lib64/libisc.so.7 (0x0000002a95876000)
       libcrypto.so.4 => /lib64/libcrypto.so.4 (0x0000002a959b0000)
       libnsl.so.1 => /lib64/libnsl.so.1 (0x0000002a95be2000)
       libpthread.so.0 => /lib64/tls/libpthread.so.0 (0x0000002a95cf9000)
       libc.so.6 => /lib64/tls/libc.so.6 (0x0000002a95e0e000)
       libgssapi_krb5.so.2 => /usr/kerberos/lib64/libgssapi_krb5.so.2
(0x0000002a96052000)
       libkrb5.so.3 => /usr/kerberos/lib64/libkrb5.so.3 (0x0000002a96168000)
       libcom_err.so.3 => /usr/kerberos/lib64/libcom_err.so.3 (0x0000002a962d2000)
       libk5crypto.so.3 => /usr/kerberos/lib64/libk5crypto.so.3 (0x0000002a963d4000)
       libresolv.so.2 => /lib64/libresolv.so.2 (0x0000002a964e8000)
       libdl.so.2 => /lib64/libdl.so.2 (0x0000002a965fd000)
       libz.so.1 => /usr/lib64/libz.so.1 (0x0000002a96700000)
       /lib64/ld-linux-x86-64.so.2 => /lib64/ld-linux-x86-64.so.2
(0x0000002a95556000)
+ uname -a
Linux host-59.support.localnet 2.4.21-27.0.2.ELsmp #1 SMP Wed Jan 12 23:25:44
EST 2005 x86_64 x86_64 x86_64 GNU/Linux
+ service psacct stop
Shutting down process accounting:                          [  OK  ]
+ dd if=/dev/zero of=/var/account/pacct bs=6400 count=335544
335544+0 records in
335544+0 records out
+ ls -l /var/account/pacct
-rw-------    1 root     root     2147481600 Jun 24 13:58 /var/account/pacct
+ host www.redhat.com
www.redhat.com has address 209.132.177.50
+ service psacct start
Starting process accounting:                               [  OK  ]
++ seq 1 32
+ cat /dev/null
+ cat /dev/null
+ cat /dev/null
+ cat /dev/null
+ cat /dev/null
+ cat /dev/null
+ cat /dev/null
+ cat /dev/null
+ cat /dev/null
+ cat /dev/null
+ cat /dev/null
+ cat /dev/null
+ cat /dev/null
+ cat /dev/null
+ cat /dev/null
+ cat /dev/null
+ cat /dev/null
+ cat /dev/null
+ cat /dev/null
+ cat /dev/null
+ cat /dev/null
+ cat /dev/null
+ cat /dev/null
+ cat /dev/null
+ cat /dev/null
+ cat /dev/null
+ cat /dev/null
+ cat /dev/null
+ cat /dev/null
+ cat /dev/null
+ cat /dev/null
+ cat /dev/null
+ ls -l /var/account/pacct
-rw-------    1 root     root     2147483647 Jun 24 13:58 /var/account/pacct
+ host www.redhat.com
www.redhat.com has address 209.132.177.50
fail.sh: line 17: 26491 File size limit exceededhost www.redhat.com
#


# host redhat.com
redhat.com has address 209.132.177.50
File size limit exceeded

Comment 8 Ernie Petrides 2005-10-04 22:10:40 UTC
You can't use the same bug to fix different versions of RHEL.  Each
advisory needs its own bugzilla (and thus this bugzilla shouldn't be
on the blocker lists of two different releases).

Comment 12 Red Hat Bugzilla 2006-03-15 15:36:44 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0053.html



Note You need to log in before you can comment on or make changes to this bug.